/*
 * Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

/*
 * This file is part of the FSG PAPI Project
 *
 * The FSG PAPI Project is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The FSG PAPI Project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with the FSG PAPI Project; see the file COPYING.LIB.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* $Id: status.c,v 1.1.1.1 2002/09/18 19:30:13 jacobs Exp $ */
#pragma ident	"@(#)status.c	1.1	02/08/22 SMI"

/*LINTLIBRARY*/


#include <stdlib.h>
#include <papi_impl.h>

#ifdef HAVE_GETTEXT
#include <libintl.h>
#define RETURN(x)	return(gettext(x))
#else
#define RETURN(x)	return(x)
#endif

char *
papiStatusString(const papi_status_t status)
{
	switch (status) {
	case PAPI_OK:
		RETURN ("ok");
	case PAPI_OK_SUBST:
		RETURN ("ok-substitution");
	case PAPI_OK_CONFLICT:
		RETURN ("ok-conflict");
	case PAPI_OK_IGNORED_SUBSCRIPTIONS:
		RETURN ("ok-ignored-subscriptions");
	case PAPI_OK_IGNORED_NOTIFICATIONS:
		RETURN ("ok-ignored-notifications");
	case PAPI_OK_TOO_MANY_EVENTS:
		RETURN ("ok-too-many-events");
	case PAPI_OK_BUT_CANCEL_SUBSCRIPTION:
		RETURN ("ok-but-cancel-subscription");
	case PAPI_REDIRECTION_OTHER_SITE:
		RETURN ("redirection-to-other-site");
	case PAPI_BAD_REQUEST:
		RETURN ("bad-request");
	case PAPI_FORBIDDEN:
		RETURN ("forbidden");
	case PAPI_NOT_AUTHENTICATED:
		RETURN ("not-authenticated");
	case PAPI_NOT_AUTHORIZED:
		RETURN ("not-authorized");
	case PAPI_NOT_POSSIBLE:
		RETURN ("not-possible");
	case PAPI_TIMEOUT:
		RETURN ("timeout");
	case PAPI_NOT_FOUND:
		RETURN ("not-found");
	case PAPI_GONE:
		RETURN ("gone");
	case PAPI_REQUEST_ENTITY:
		RETURN ("request-entity");
	case PAPI_REQUEST_VALUE:
		RETURN ("request-value");
	case PAPI_DOCUMENT_FORMAT:
		RETURN ("document-format");
	case PAPI_ATTRIBUTES:
		RETURN ("attributes");
	case PAPI_URI_SCHEME:
		RETURN ("uri-scheme");
	case PAPI_CHARSET:
		RETURN ("charset");
	case PAPI_CONFLICT:
		RETURN ("conflict");
	case PAPI_COMPRESSION_NOT_SUPPORTED:
		RETURN ("compression-not-supported");
	case PAPI_COMPRESSION_ERROR:
		RETURN ("compression-error");
	case PAPI_DOCUMENT_FORMAT_ERROR:
		RETURN ("document-format-error");
	case PAPI_DOCUMENT_ACCESS_ERROR:
		RETURN ("document-access-error");
	case PAPI_ATTRIBUTES_NOT_SETTABLE:
		RETURN ("attributes-not-settable");
	case PAPI_IGNORED_ALL_SUBSCRIPTIONS:
		RETURN ("ignored-all-subscriptions");
	case PAPI_TOO_MANY_SUBSCRIPTIONS:
		RETURN ("too-many-subscriptions");
	case PAPI_IGNORED_ALL_NOTIFICATIONS:
		RETURN ("ignored-all-notifications");
	case PAPI_PRINT_SUPPORT_FILE_NOT_FOUND:
		RETURN ("print-support-file-not-found");
	case PAPI_INTERNAL_ERROR:
		RETURN ("internal-error");
	case PAPI_OPERATION_NOT_SUPPORTED:
		RETURN ("operation-not-supported");
	case PAPI_SERVICE_UNAVAILABLE:
		RETURN ("service-unavailable");
	case PAPI_VERSION_NOT_SUPPORTED:
		RETURN ("version-not-supported");
	case PAPI_DEVICE_ERROR:
		RETURN ("device-error");
	case PAPI_TEMPORARY_ERROR:
		RETURN ("temporary-error");
	case PAPI_NOT_ACCEPTING:
		RETURN ("not-accepting");
	case PAPI_PRINTER_BUSY:
		RETURN ("printer-busy");
	case PAPI_ERROR_JOB_CANCELLED:
		RETURN ("error-job-cancelled");
	case PAPI_MULTIPLE_JOBS_NOT_SUPPORTED:
		RETURN ("multiple-jobs-not-supported");
	case PAPI_PRINTER_IS_DEACTIVATED:
		RETURN ("printer-is-deactivated");
	case PAPI_BAD_ARGUMENT:
		RETURN ("bad-argument");
	default:
		RETURN ("unknown-error");
	}
}
